Module Common
    Public StyleList() As C_Epole.SStyle
    Public Eini As ACC.MyINI

  
    ''' <summary>
    ''' 파일명안의 확장자를 변경한다.
    ''' </summary>
    ''' <param name="orgname"></param>
    ''' <param name="newExt"></param>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Function ReplaceExt(ByVal orgname As String, ByVal newExt As String) As String
        Dim OnlyFile As String = orgname.Substring(0, orgname.LastIndexOf("."))
        Return CStr(OnlyFile & "." & newExt).Replace("..", ".")
    End Function

    ''' <summary>
    ''' 배경이미지파일의 절대 또는 상대경로를 반환하비다.
    ''' </summary>
    ''' <param name="src"></param>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Function GetImgPath(ByVal src As String) As String
        If src.Trim = "" Then Return ""
        If src.IndexOf(":") <> -1 Then '//드라이브명이있따면 절대경로이므로 상대로 변경한다.
            Return Replace(src.Replace(My.Application.Info.DirectoryPath, ".\"), "\\", "\")
        Else
            If src.IndexOf(".\") = -1 AndAlso src.IndexOf("..\") = -1 Then
                Return Replace(My.Application.Info.DirectoryPath & "\image\" & src, "\\", "\")
            Else
                Return Replace(src.Replace(".\", My.Application.Info.DirectoryPath & "\"), "\\", "\")
            End If
        End If
    End Function

End Module
